Bug 428250 - Review Request: gpicview - A simple fast image viewer
Review Request: gpicview - A simple fast image viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 06:52 EST by Marc Wiriadisastra
Modified: 2008-12-01 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 04:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Some Cleanups to SPEC (1.52 KB, text/x-rpm-spec)
2008-01-11 01:18 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Marc Wiriadisastra 2008-01-10 06:52:16 EST
Spec URL: http://mwiriadi.fedorapeople.org/packages/gpicview/gpicview.spec
SRPM URL: http://mwiriadi.fedorapeople.org/packages/gpicview/gpicview-0.1.7-1.fc8.src.rpm
Description:
Gpicview is an image viewer that is:
 Extremely lightweight and fast with low memory usage
 Very suitable for default image viewer of desktop system
 Simple and intuitive interface
 Minimal lib dependency: Only pure GTK+ is used
 Desktop independent: Doesn't require any specific desktop environment

RPM Lint:
On RPM file
[marc@Strike-Lap i386]$ rpmlint gpicview-0.1.7-1.fc8.i386.rpm 
gpicview.i386: E: zero-length /usr/share/doc/gpicview-0.1.7/README
gpicview.i386: E: zero-length /usr/share/doc/gpicview-0.1.7/NEWS
gpicview.i386: E: zero-length /usr/share/doc/gpicview-0.1.7/TODO
gpicview.i386: E: zero-length /usr/share/doc/gpicview-0.1.7/ChangeLog
gpicview.i386: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/de_DE/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/gpicview.mo
gpicview.i386: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/gpicview.mo
On SRPM:
Nothing

Only issue I have thats severe is the *.mo files and I'm not to sure how to fix it.  I can compile it in F-8 yet mock building it in devel doesn't build claiming that the *mo files do not exist.
Comment 1 Parag AN(पराग) 2008-01-10 07:09:43 EST
1) You are not using
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8c605ebf8330f6d505f384e671986fa99a8f72ee

2) remove .mo from %files

3) add gettext as BR

4) you don't need pkgconfig as BR

5) remove empty files README NEWS TODO Changelog
Comment 2 Marc Wiriadisastra 2008-01-10 07:48:12 EST
Fixed.

http://mwiriadi.fedorapeople.org/packages/gpicview/gpicview.spec
http://mwiriadi.fedorapeople.org/packages/gpicview/gpicview-0.1.7-2.fc8.src.rpm

Thanks for the link I had read it but missed that part I've bookmarked it now.
Comment 3 Parag AN(पराग) 2008-01-11 01:18:15 EST
Created attachment 291354 [details]
Some Cleanups to SPEC

I did some changes to description, desktop-file-install command. Use this SPEC
and provide new update for review.
Comment 5 Parag AN(पराग) 2008-01-11 06:09:23 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a1e70f726dbdb4c2aa456a50a3f535fd  gpicview-0.1.7.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ desktop file installed correctly.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file handled correctly.
+ GUI app.


APPROVED.
Comment 6 Marc Wiriadisastra 2008-01-11 10:53:13 EST
=======================
Package Name: gpicview
Short Description: A simple fast image viewer
Owners: mwiriad
Branches: F-7 F-8 devel
InitialCC: mwiriad
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-11 16:59:09 EST
cvs done. (with corrected owner account name)
Comment 8 Patrice Dumas 2008-12-01 07:40:42 EST
Package Change Request
======================
Package Name: gpicview
New Branches: EL-5
Owners: pertusus

Marc agreed by mail that I could be the EL-5 maintainer. He should be able to confirm here.
Comment 9 Marc Wiriadisastra 2008-12-01 07:59:39 EST
I have agreed for Patrice to be the EL-5 maintainer I'm in the process of adding him in pkgdb
Comment 10 Kevin Fenzi 2008-12-01 17:03:35 EST
cvs done.

(you likely need the EL-5 branch before pkgdb will show it to add him. ;)

Note You need to log in before you can comment on or make changes to this bug.